apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: linkerd2-cni
  namespace: argocd
spec:
  project: default
  source:
    chart: linkerd2-cni
    repoURL: https://helm.linkerd.io/stable
    targetRevision: 2.10.1
  destination:
    namespace: linkerd-cni
    server: https://kubernetes.default.svc
  syncPolicy:
    automated:
      prune: true
      selfHeal: true  
